Index: palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/urban_surface_mod.f90	(revision 4670)
+++ palm/trunk/SOURCE/urban_surface_mod.f90	(revision 4671)
@@ -6567,9 +6307,9 @@
        CASE ( 't_wall_v(2)' )
           IF ( k == 1 )  THEN
-             IF ( .NOT.  ALLOCATED( t_wall_v_1(2)%t ) )                                            &
-                ALLOCATE( t_wall_v_1(2)%t(nzb_wall:nzt_wall+1, 1:surf_usm_v(2)%ns) )
-             READ ( 13 )  tmp_wall_v(2)%t
-          ENDIF
-          CALL surface_restore_elements( t_wall_v_1(2)%t, tmp_wall_v(2)%t,                         &
+             IF ( .NOT.  ALLOCATED( t_wall_v_1(2)%val ) )                                            &
+                ALLOCATE( t_wall_v_1(2)%val(nzb_wall:nzt_wall+1, 1:surf_usm_v(2)%ns) )
+             READ ( 13 )  tmp_wall_v(2)%val
+          ENDIF
+          CALL surface_restore_elements( t_wall_v_1(2)%val, tmp_wall_v(2)%val,                         &
                                          surf_usm_v(2)%start_index, start_index_on_file,           &
                                          end_index_on_file, nxlc, nysc, nxlf, nxrf, nysf, nynf,    &
@@ -6578,119 +6318,141 @@
        CASE ( 't_wall_v(3)' )
           IF ( k == 1 )  THEN
-             IF ( .NOT.  ALLOCATED( t_wall_v_1(3)%t ) )                                            &
-                ALLOCATE( t_wall_v_1(3)%t(nzb_wall:nzt_wall+1, 1:surf_usm_v(3)%ns) )
-             READ ( 13 )  tmp_wall_v(3)%t
-          ENDIF
-          CALL surface_restore_elements( t_wall_v_1(3)%t, tmp_wall_v(3)%t,                         &
+             IF ( .NOT.  ALLOCATED( t_wall_v_1(3)%val ) )                                            &
+                ALLOCATE( t_wall_v_1(3)%val(nzb_wall:nzt_wall+1, 1:surf_usm_v(3)%ns) )
+             READ ( 13 )  tmp_wall_v(3)%val
+          ENDIF
+          CALL surface_restore_elements( t_wall_v_1(3)%val, tmp_wall_v(3)%val,                         &
                                          surf_usm_v(3)%start_index, start_index_on_file,           &
                                          end_index_on_file, nxlc, nysc, nxlf, nxrf, nysf, nynf,    &
                                          nys_on_file, nyn_on_file, nxl_on_file,nxr_on_file )
 
-       CASE ( 't_green_h' )
+       CASE ( 't_window_h(0)' )
           IF ( k == 1 )  THEN
-             IF ( .NOT.  ALLOCATED( t_green_h_1 ) )                                                &
-                ALLOCATE( t_green_h_1(nzb_wall:nzt_wall+1, 1:surf_usm_h%ns) )
-             READ ( 13 )  tmp_green_h
-          ENDIF
-          CALL surface_restore_elements( t_green_h_1, tmp_green_h, surf_usm_h%start_index,         &
-                                         start_index_on_file, end_index_on_file, nxlc, nysc,       &
-                                         nxlf, nxrf, nysf, nynf, nys_on_file, nyn_on_file,         &
-                                         nxl_on_file,nxr_on_file )
-
-       CASE ( 't_green_v(0)' )
+             IF ( .NOT.  ALLOCATED( t_window_h_1(0)%val ) )                                               &
+                ALLOCATE( t_window_h_1(0)%val(nzb_wall:nzt_wall+1, 1:surf_usm_h(0)%ns) )
+             READ ( 13 )  tmp_window_h(0)%val
+          ENDIF
+          CALL surface_restore_elements( t_window_h_1(0)%val, tmp_window_h(0)%val,                     &
+                                         surf_usm_h(0)%start_index, start_index_on_file,           &
+                                         end_index_on_file, nxlc, nysc, nxlf, nxrf, nysf, nynf,    &
+                                         nys_on_file, nyn_on_file, nxl_on_file, nxr_on_file )
+
+       CASE ( 't_window_h(1)' )
           IF ( k == 1 )  THEN
-             IF ( .NOT.  ALLOCATED( t_green_v_1(0)%t ) )                                           &
-                ALLOCATE( t_green_v_1(0)%t(nzb_wall:nzt_wall+1, 1:surf_usm_v(0)%ns) )
-             READ ( 13 )  tmp_green_v(0)%t
-          ENDIF
-          CALL surface_restore_elements( t_green_v_1(0)%t, tmp_green_v(0)%t,                       &
+             IF ( .NOT.  ALLOCATED( t_window_h_1(1)%val ) )                                               &
+                ALLOCATE( t_window_h_1(1)%val(nzb_wall:nzt_wall+1, 1:surf_usm_h(1)%ns) )
+             READ ( 13 )  tmp_window_h(1)%val
+          ENDIF
+          CALL surface_restore_elements( t_window_h_1(1)%val, tmp_window_h(1)%val,                     &
+                                         surf_usm_h(1)%start_index, start_index_on_file,           &
+                                         end_index_on_file, nxlc, nysc, nxlf, nxrf, nysf, nynf,    &
+                                         nys_on_file, nyn_on_file, nxl_on_file, nxr_on_file )
+
+       CASE ( 't_window_v(0)' )
+          IF ( k == 1 )  THEN
+             IF ( .NOT.  ALLOCATED( t_window_v_1(0)%val ) )                                          &
+                ALLOCATE( t_window_v_1(0)%val(nzb_wall:nzt_wall+1, 1:surf_usm_v(0)%ns) )
+             READ ( 13 )  tmp_window_v(0)%val
+          ENDIF
+          CALL surface_restore_elements( t_window_v_1(0)%val, tmp_window_v(0)%val,                     &
                                          surf_usm_v(0)%start_index, start_index_on_file,           &
                                          end_index_on_file, nxlc, nysc, nxlf, nxrf, nysf, nynf,    &
                                          nys_on_file, nyn_on_file, nxl_on_file,nxr_on_file )
 
-       CASE ( 't_green_v(1)' )
+       CASE ( 't_window_v(1)' )
           IF ( k == 1 )  THEN
-             IF ( .NOT.  ALLOCATED( t_green_v_1(1)%t ) )                                           &
-                ALLOCATE( t_green_v_1(1)%t(nzb_wall:nzt_wall+1, 1:surf_usm_v(1)%ns) )
-             READ ( 13 )  tmp_green_v(1)%t
-          ENDIF
-          CALL surface_restore_elements( t_green_v_1(1)%t, tmp_green_v(1)%t,                       &
+             IF ( .NOT.  ALLOCATED( t_window_v_1(1)%val ) )                                          &
+                ALLOCATE( t_window_v_1(1)%val(nzb_wall:nzt_wall+1, 1:surf_usm_v(1)%ns) )
+             READ ( 13 )  tmp_window_v(1)%val
+          ENDIF
+          CALL surface_restore_elements( t_window_v_1(1)%val, tmp_window_v(1)%val,                     &
                                          surf_usm_v(1)%start_index, start_index_on_file,           &
                                          end_index_on_file, nxlc, nysc, nxlf, nxrf, nysf, nynf,    &
                                          nys_on_file, nyn_on_file, nxl_on_file,nxr_on_file )
 
-       CASE ( 't_green_v(2)' )
+       CASE ( 't_window_v(2)' )
           IF ( k == 1 )  THEN
-             IF ( .NOT.  ALLOCATED( t_green_v_1(2)%t ) )                                           &
-                ALLOCATE( t_green_v_1(2)%t(nzb_wall:nzt_wall+1, 1:surf_usm_v(2)%ns) )
-             READ ( 13 )  tmp_green_v(2)%t
-          ENDIF
-          CALL surface_restore_elements( t_green_v_1(2)%t, tmp_green_v(2)%t,                       &
+             IF ( .NOT.  ALLOCATED( t_window_v_1(2)%val ) )                                          &
+                ALLOCATE( t_window_v_1(2)%val(nzb_wall:nzt_wall+1, 1:surf_usm_v(2)%ns) )
+             READ ( 13 )  tmp_window_v(2)%val
+          ENDIF
+          CALL surface_restore_elements( t_window_v_1(2)%val, tmp_window_v(2)%val,                     &
                                          surf_usm_v(2)%start_index, start_index_on_file,           &
                                          end_index_on_file, nxlc, nysc, nxlf, nxrf, nysf, nynf,    &
                                          nys_on_file, nyn_on_file, nxl_on_file,nxr_on_file )
 
-       CASE ( 't_green_v(3)' )
+       CASE ( 't_window_v(3)' )
           IF ( k == 1 )  THEN
-             IF ( .NOT.  ALLOCATED( t_green_v_1(3)%t ) )                                           &
-                ALLOCATE( t_green_v_1(3)%t(nzb_wall:nzt_wall+1, 1:surf_usm_v(3)%ns) )
-             READ ( 13 )  tmp_green_v(3)%t
-          ENDIF
-          CALL surface_restore_elements( t_green_v_1(3)%t, tmp_green_v(3)%t,                       &
+             IF ( .NOT.  ALLOCATED( t_window_v_1(3)%val ) )                                          &
+                ALLOCATE( t_window_v_1(3)%val(nzb_wall:nzt_wall+1,1:surf_usm_v(3)%ns) )
+             READ ( 13 )  tmp_window_v(3)%val
+          ENDIF
+          CALL surface_restore_elements( t_window_v_1(3)%val, tmp_window_v(3)%val,                     &
                                          surf_usm_v(3)%start_index, start_index_on_file,           &
                                          end_index_on_file, nxlc, nysc, nxlf, nxrf, nysf, nynf,    &
                                          nys_on_file, nyn_on_file, nxl_on_file,nxr_on_file )
 
-       CASE ( 't_window_h' )
+       CASE ( 't_green_h(0)' )
           IF ( k == 1 )  THEN
-             IF ( .NOT.  ALLOCATED( t_window_h_1 ) )                                               &
-                ALLOCATE( t_window_h_1(nzb_wall:nzt_wall+1, 1:surf_usm_h%ns) )
-             READ ( 13 )  tmp_window_h
-          ENDIF
-          CALL surface_restore_elements( t_window_h_1, tmp_window_h, surf_usm_h%start_index,       &
-                                         start_index_on_file, end_index_on_file, nxlc, nysc,       &
-                                         nxlf, nxrf, nysf, nynf, nys_on_file, nyn_on_file,         &
-                                         nxl_on_file, nxr_on_file )
-
-       CASE ( 't_window_v(0)' )
+             IF ( .NOT.  ALLOCATED( t_green_h_1(0)%val ) )                                           &
+                ALLOCATE( t_green_h_1(0)%val(nzb_wall:nzt_wall+1, 1:surf_usm_h(0)%ns) )
+             READ ( 13 )  tmp_green_h(0)%val
+          ENDIF
+          CALL surface_restore_elements( t_green_h_1(0)%val, tmp_green_h(0)%val,                       &
+                                         surf_usm_h(0)%start_index, start_index_on_file,              &
+                                         end_index_on_file, nxlc, nysc, nxlf, nxrf, nysf, nynf,    &
+                                         nys_on_file, nyn_on_file, nxl_on_file,nxr_on_file )
+
+       CASE ( 't_green_h(1)' )
           IF ( k == 1 )  THEN
-             IF ( .NOT.  ALLOCATED( t_window_v_1(0)%t ) )                                          &
-                ALLOCATE( t_window_v_1(0)%t(nzb_wall:nzt_wall+1, 1:surf_usm_v(0)%ns) )
-             READ ( 13 )  tmp_window_v(0)%t
-          ENDIF
-          CALL surface_restore_elements( t_window_v_1(0)%t, tmp_window_v(0)%t,                     &
+             IF ( .NOT.  ALLOCATED( t_green_h_1(1)%val ) )                                           &
+                ALLOCATE( t_green_h_1(1)%val(nzb_wall:nzt_wall+1, 1:surf_usm_h(1)%ns) )
+             READ ( 13 )  tmp_green_h(1)%val
+          ENDIF
+          CALL surface_restore_elements( t_green_h_1(1)%val, tmp_green_h(1)%val,                       &
+                                         surf_usm_h(1)%start_index, start_index_on_file,              &
+                                         end_index_on_file, nxlc, nysc, nxlf, nxrf, nysf, nynf,    &
+                                         nys_on_file, nyn_on_file, nxl_on_file,nxr_on_file )
+
+       CASE ( 't_green_v(0)' )
+          IF ( k == 1 )  THEN
+             IF ( .NOT.  ALLOCATED( t_green_v_1(0)%val ) )                                           &
+                ALLOCATE( t_green_v_1(0)%val(nzb_wall:nzt_wall+1, 1:surf_usm_v(0)%ns) )
+             READ ( 13 )  tmp_green_v(0)%val
+          ENDIF
+          CALL surface_restore_elements( t_green_v_1(0)%val, tmp_green_v(0)%val,                       &
                                          surf_usm_v(0)%start_index, start_index_on_file,           &
                                          end_index_on_file, nxlc, nysc, nxlf, nxrf, nysf, nynf,    &
                                          nys_on_file, nyn_on_file, nxl_on_file,nxr_on_file )
 
-       CASE ( 't_window_v(1)' )
+       CASE ( 't_green_v(1)' )
           IF ( k == 1 )  THEN
-             IF ( .NOT.  ALLOCATED( t_window_v_1(1)%t ) )                                          &
-                ALLOCATE( t_window_v_1(1)%t(nzb_wall:nzt_wall+1, 1:surf_usm_v(1)%ns) )
-             READ ( 13 )  tmp_window_v(1)%t
-          ENDIF
-          CALL surface_restore_elements( t_window_v_1(1)%t, tmp_window_v(1)%t,                     &
+             IF ( .NOT.  ALLOCATED( t_green_v_1(1)%val ) )                                           &
+                ALLOCATE( t_green_v_1(1)%val(nzb_wall:nzt_wall+1, 1:surf_usm_v(1)%ns) )
+             READ ( 13 )  tmp_green_v(1)%val
+          ENDIF
+          CALL surface_restore_elements( t_green_v_1(1)%val, tmp_green_v(1)%val,                       &
                                          surf_usm_v(1)%start_index, start_index_on_file,           &
                                          end_index_on_file, nxlc, nysc, nxlf, nxrf, nysf, nynf,    &
                                          nys_on_file, nyn_on_file, nxl_on_file,nxr_on_file )
 
-       CASE ( 't_window_v(2)' )
+       CASE ( 't_green_v(2)' )
           IF ( k == 1 )  THEN
-             IF ( .NOT.  ALLOCATED( t_window_v_1(2)%t ) )                                          &
-                ALLOCATE( t_window_v_1(2)%t(nzb_wall:nzt_wall+1, 1:surf_usm_v(2)%ns) )
-             READ ( 13 )  tmp_window_v(2)%t
-          ENDIF
-          CALL surface_restore_elements( t_window_v_1(2)%t, tmp_window_v(2)%t,                     &
+             IF ( .NOT.  ALLOCATED( t_green_v_1(2)%val ) )                                           &
+                ALLOCATE( t_green_v_1(2)%val(nzb_wall:nzt_wall+1, 1:surf_usm_v(2)%ns) )
+             READ ( 13 )  tmp_green_v(2)%val
+          ENDIF
+          CALL surface_restore_elements( t_green_v_1(2)%val, tmp_green_v(2)%val,                       &
                                          surf_usm_v(2)%start_index, start_index_on_file,           &
                                          end_index_on_file, nxlc, nysc, nxlf, nxrf, nysf, nynf,    &
                                          nys_on_file, nyn_on_file, nxl_on_file,nxr_on_file )
 
-       CASE ( 't_window_v(3)' )
+       CASE ( 't_green_v(3)' )
           IF ( k == 1 )  THEN
-             IF ( .NOT.  ALLOCATED( t_window_v_1(3)%t ) )                                          &
-                ALLOCATE( t_window_v_1(3)%t(nzb_wall:nzt_wall+1,1:surf_usm_v(3)%ns) )
-             READ ( 13 )  tmp_window_v(3)%t
-          ENDIF
-          CALL surface_restore_elements( t_window_v_1(3)%t, tmp_window_v(3)%t,                     &
+             IF ( .NOT.  ALLOCATED( t_green_v_1(3)%val ) )                                           &
+                ALLOCATE( t_green_v_1(3)%val(nzb_wall:nzt_wall+1, 1:surf_usm_v(3)%ns) )
+             READ ( 13 )  tmp_green_v(3)%val
+          ENDIF
+          CALL surface_restore_elements( t_green_v_1(3)%val, tmp_green_v(3)%val,                       &
                                          surf_usm_v(3)%start_index, start_index_on_file,           &
                                          end_index_on_file, nxlc, nysc, nxlf, nxrf, nysf, nynf,    &
@@ -6731,21 +6493,28 @@
     LOGICAL ::  ldum  !< dummy variable
 
-
-    CALL rrd_mpi_io( 'usm_start_index_h',  surf_usm_h%start_index )
-    CALL rrd_mpi_io( 'usm_end_index_h', surf_usm_h%end_index )
-    CALL rrd_mpi_io( 'usm_global_start_h', global_start )
-
-    CALL rd_mpi_io_surface_filetypes( surf_usm_h%start_index, surf_usm_h%end_index, ldum,          &
-                                      global_start )
-
-    IF ( .NOT.  ALLOCATED( t_surf_wall_h_1 ) )  ALLOCATE( t_surf_wall_h_1(1:surf_usm_h%ns) )
-    CALL rrd_mpi_io_surface( 't_surf_wall_h', t_surf_wall_h_1 )
-
-    IF ( .NOT.  ALLOCATED( t_surf_window_h_1 ) )  ALLOCATE( t_surf_window_h_1(1:surf_usm_h%ns) )
-    CALL rrd_mpi_io_surface( 't_surf_window_h', t_surf_window_h_1 )
-
-    IF ( .NOT.  ALLOCATED( t_surf_green_h_1 ) )  ALLOCATE( t_surf_green_h_1(1:surf_usm_h%ns) )
-    CALL rrd_mpi_io_surface( 't_surf_green_h', t_surf_green_h_1 )
-
+    DO  l = 0, 1
+
+       WRITE( dum, '(I1)' )  l
+
+       CALL rrd_mpi_io( 'usm_start_index_h_' //dum,  surf_usm_h(l)%start_index )
+       CALL rrd_mpi_io( 'usm_end_index_h_' //dum, surf_usm_h(l)%end_index )
+       CALL rrd_mpi_io( 'usm_global_start_h_' //dum, global_start )
+
+       CALL rd_mpi_io_surface_filetypes( surf_usm_h(l)%start_index, surf_usm_h(l)%end_index, ldum, &
+                                         global_start )
+
+       IF ( .NOT.  ALLOCATED( t_surf_wall_h_1(l)%val ) )                                             &
+          ALLOCATE( t_surf_wall_h_1(l)%val(1:surf_usm_h(l)%ns) )
+       CALL rrd_mpi_io_surface( 't_surf_wall_h(' // dum // ')', t_surf_wall_h_1(l)%val )
+
+       IF ( .NOT.  ALLOCATED( t_surf_window_h_1(l)%val ) )                                           &
+          ALLOCATE( t_surf_window_h_1(l)%val(1:surf_usm_h(l)%ns) )
+       CALL rrd_mpi_io_surface( 't_surf_window_h(' // dum // ')', t_surf_window_h_1(l)%val )
+
+       IF ( .NOT.  ALLOCATED( t_surf_green_h_1(l)%val ) )                                            &
+          ALLOCATE( t_surf_green_h_1(l)%val(1:surf_usm_h(l)%ns) )
+       CALL rrd_mpi_io_surface( 't_surf_green_h(' // dum // ')', t_surf_green_h_1(l)%val )
+
+    ENDDO
     DO  l = 0, 3
 
@@ -6759,36 +6528,41 @@
                                          global_start )
 
-       IF ( .NOT.  ALLOCATED( t_surf_wall_v_1(l)%t ) )                                             &
-          ALLOCATE( t_surf_wall_v_1(l)%t(1:surf_usm_v(l)%ns) )
-       CALL rrd_mpi_io_surface( 't_surf_wall_v(' // dum // ')', t_surf_wall_v_1(l)%t )
-
-       IF ( .NOT.  ALLOCATED( t_surf_window_v_1(l)%t ) )                                           &
-          ALLOCATE( t_surf_window_v_1(l)%t(1:surf_usm_v(l)%ns) )
-       CALL rrd_mpi_io_surface( 't_surf_window_v(' // dum // ')', t_surf_window_v_1(l)%t )
-
-       IF ( .NOT.  ALLOCATED( t_surf_green_v_1(l)%t ) )                                            &
-          ALLOCATE( t_surf_green_v_1(l)%t(1:surf_usm_v(l)%ns) )
-       CALL rrd_mpi_io_surface( 't_surf_green_v(' // dum // ')', t_surf_green_v_1(l)%t)
+       IF ( .NOT.  ALLOCATED( t_surf_wall_v_1(l)%val ) )                                             &
+          ALLOCATE( t_surf_wall_v_1(l)%val(1:surf_usm_v(l)%ns) )
+       CALL rrd_mpi_io_surface( 't_surf_wall_v(' // dum // ')', t_surf_wall_v_1(l)%val )
+
+       IF ( .NOT.  ALLOCATED( t_surf_window_v_1(l)%val ) )                                           &
+          ALLOCATE( t_surf_window_v_1(l)%val(1:surf_usm_v(l)%ns) )
+       CALL rrd_mpi_io_surface( 't_surf_window_v(' // dum // ')', t_surf_window_v_1(l)%val )
+
+       IF ( .NOT.  ALLOCATED( t_surf_green_v_1(l)%val ) )                                            &
+          ALLOCATE( t_surf_green_v_1(l)%val(1:surf_usm_v(l)%ns) )
+       CALL rrd_mpi_io_surface( 't_surf_green_v(' // dum // ')', t_surf_green_v_1(l)%val)
 
     ENDDO
 
-    CALL rrd_mpi_io( 'usm_start_index_h_2',  surf_usm_h%start_index )
-    CALL rrd_mpi_io( 'usm_end_index_h_2', surf_usm_h%end_index )
-    CALL rrd_mpi_io( 'usm_global_start_h_2', global_start )
-
-    CALL rd_mpi_io_surface_filetypes( surf_usm_h%start_index, surf_usm_h%end_index, ldum,          &
-                                      global_start )
-
-    IF ( .NOT.  ALLOCATED( t_wall_h_1 ) )                                                          &
-       ALLOCATE( t_wall_h_1(nzb_wall:nzt_wall+1,1:surf_usm_h%ns) )
-    CALL rrd_mpi_io_surface( 't_wall_h', t_wall_h_1 )
-
-    IF ( .NOT.  ALLOCATED( t_window_h_1 ) )                                                        &
-       ALLOCATE( t_window_h_1(nzb_wall:nzt_wall+1,1:surf_usm_h%ns) )
-    CALL rrd_mpi_io_surface( 't_window_h', t_window_h_1 )
-
-    IF ( .NOT.  ALLOCATED( t_green_h_1 ) )                                                         &
-       ALLOCATE( t_green_h_1(nzb_wall:nzt_wall+1,1:surf_usm_h%ns) )
-    CALL rrd_mpi_io_surface( 't_green_h', t_green_h_1 )
+    DO  l = 0, 1
+
+       WRITE( dum, '(I1)' )  l
+
+       CALL rrd_mpi_io( 'usm_start_index_h_2_' //dum,  surf_usm_h(l)%start_index )
+       CALL rrd_mpi_io( 'usm_end_index_h_2_' //dum, surf_usm_h(l)%end_index )
+       CALL rrd_mpi_io( 'usm_global_start_h_2_' //dum, global_start )
+
+       CALL rd_mpi_io_surface_filetypes( surf_usm_h(l)%start_index, surf_usm_h(l)%end_index, ldum,          &
+                                         global_start )
+
+       IF ( .NOT.  ALLOCATED( t_wall_h_1(l)%val ) )                                                          &
+          ALLOCATE( t_wall_h_1(l)%val(nzb_wall:nzt_wall+1,1:surf_usm_h(l)%ns) )
+       CALL rrd_mpi_io_surface( 't_wall_h(' // dum // ')', t_wall_h_1(l)%val )
+
+       IF ( .NOT.  ALLOCATED( t_window_h_1(l)%val ) )                                                        &
+          ALLOCATE( t_window_h_1(l)%val(nzb_wall:nzt_wall+1,1:surf_usm_h(l)%ns) )
+       CALL rrd_mpi_io_surface( 't_window_h(' // dum // ')', t_window_h_1(l)%val )
+
+       IF ( .NOT.  ALLOCATED( t_green_h_1(l)%val ) )                                                         &
+          ALLOCATE( t_green_h_1(l)%val(nzb_wall:nzt_wall+1,1:surf_usm_h(l)%ns) )
+       CALL rrd_mpi_io_surface( 't_green_h(' // dum // ')', t_green_h_1(l)%val )
+    ENDDO
 
     DO  l = 0, 3
